# Uses of Interface
org.codehaus.janino.Visitor.AbstractCompilationUnitVisitor

Packages that use Visitor.AbstractCompilationUnitVisitor
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Visitor.AbstractCompilationUnitVisitor in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Visitor.AbstractCompilationUnitVisitor
Modifier and Type
Method
Description
`abstract <R, EX extends Throwable>
R`
Java.AbstractCompilationUnit.`accept(Visitor.AbstractCompilationUnitVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.AbstractCompilationUnitVisitor` for the concrete `Java.AbstractCompilationUnit` type.
`<R, EX extends Throwable>
R`
Java.CompilationUnit.`accept(Visitor.AbstractCompilationUnitVisitor<R,EX> visitor)`
`<R, EX extends Throwable>
R`
Java.ModularCompilationUnit.`accept(Visitor.AbstractCompilationUnitVisitor<R,EX> visitor)`